@echo off
:: Filename:  ASC.BAT - ASCII chart in bin/oct/dec/hex for MS-DOS
::   Author:  Eric Pement <epement@jpusa.org>
::  Version:  2.1
::     Date:  June 5, 1999
::
:: Requires:
::   FIND.EXE                   standard MS-DOS program on the path
::   ASC-LO.TXT,  ASC-LO.ANS    Displays values 00 - 7F hex, std abbrevs
::   ASC-CTL.TXT, ASC-CTL.ANS   Displays values 00 - 7F hex, Control codes
::   ASC-HI.TXT,  ASC-HI.ANS    Displays values 80 - FF hex
::   ASC-HLP.TXT, ASC-HLP.ANS   Displays brief help menu
::
::
::   +----------------------------------------------------------+
::   :                                                          :
::   :  NOTE! This batch file expects that the files ASC*.TXT   :
::   :  and ASC*.ANS are stored in the directory .\             :
::   :                                                          :
::   :  If you don't want to store them in C:\BATCH, you must   :
::   :  edit this file to use an alternate path to the ASC*.*   :
::   :  files which will be typed to screen.                    :
::   :                                                          :
::   +----------------------------------------------------------+

:: Check to see if the most basic file exists...
if not exist .\ASC-LO.TXT goto error_path

:: Determine if ANSI driver is loaded, choose appropriate filetype...
mem /c | find /i "ansi" >NUL
if errorlevel==1 if not errorlevel==2 set TYPE=txt
if errorlevel==0 if not errorlevel==1 set TYPE=ans

::  If the user wants to display plain text, even with ANSI driver...
if "%1" == "/t" set TYPE=txt
if "%1" == "/t" shift

::  If the user issues standard help requests...
if "%1" == "/?" goto help
if "%1" == "-?" goto help
if "%1" == "--help" goto help

::  If a "C" was typed, show the Control-character set.
if "%1" == "c" goto ctrl
if "%1" == "C" goto ctrl

::  If there are no parameters, show the low character set.
if "%1" == "" goto low

::  Otherwise, type the high character set.
type .\asc-hi.%TYPE%
goto end

:low
type .\asc-lo.%TYPE%
goto end

:ctrl
type .\asc-ctl.%TYPE%
goto end

:help
type .\asc-hlp.%TYPE%
goto end

:error_path
:: Issue 2 beeps and display this message:
echo    
echo.
echo   +----------------------------------------------------------+ 
echo   :                                                          :
echo   :  NOTE! This batch file expects that the files ASC*.TXT   :
echo   :  and ASC*.ANS are stored in the current directory (.\)   :
echo   :                                                          :
echo   :  If you don't want to store them in that dir, you must   :
echo   :  edit the file ASC.BAT to use an alternate path to the   :
echo   :  ASC*.* files which will be typed to screen.             :
echo   :                                                          :
echo   +----------------------------------------------------------+
echo.

:end
@set TYPE=
